> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a partner virtual account



## OpenAPI

````yaml /openapi-v2.en.yaml get /v2/virtual-accounts/{id}
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v2
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
  - name: Client verifications
    description: Las verificaciones que habilitan a un cliente a cobrar a su nombre.
  - name: Virtual accounts
    description: 'Las cuentas de cobro: las del partner y las de sus clientes.'
paths:
  /v2/virtual-accounts/{id}:
    get:
      tags:
        - Virtual accounts
      summary: Retrieve a partner virtual account
      operationId: getByIdV2
      parameters:
        - name: id
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountItemDoc'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    VirtualAccountItemDoc:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: b456c905-8d9a-4aff-9cf9-657e452e07c6
        owner:
          $ref: '#/components/schemas/VirtualAccountOwnerDoc'
        country:
          type: string
          example: US
          nullable: true
        currency:
          type: string
          example: USD
        paymentMethods:
          example:
            - ach
            - wire
          description: >-
            Payment rails supported by this account. Rails that share bank
            details use the same account.
          type: array
          items:
            type: string
        status:
          type: string
          enum:
            - ready
            - provisioning
            - inactive
            - active
          example: ready
          description: >-
            `provisioning` while bank details are being issued; the account
            exists but is not ready to share.
        label:
          type: string
          example: Cuenta de cobro Bolivia
          nullable: true
        externalReference:
          type: string
          example: ref-001
          nullable: true
        coordinates:
          nullable: true
          description: >-
            Payment instructions given to the payer. Null while status is
            `provisioning`. Fields vary by currency: IBAN in Europe and the
            Middle East, account and routing numbers in the United States.
          type: object
          allOf:
            - $ref: '#/components/schemas/VirtualAccountCoordinatesDoc'
        createdAt:
          type: string
          format: date-time
          example: '2026-09-17T14:49:35.054Z'
      required:
        - id
        - owner
        - country
        - currency
        - paymentMethods
        - status
        - label
        - externalReference
        - coordinates
        - createdAt
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    NotFoundResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 404
        message:
          type: string
          example: Endorsement subject not found
      required:
        - statusCode
        - message
    VirtualAccountOwnerDoc:
      type: object
      properties:
        type:
          type: string
          enum:
            - business
            - businessClient
          example: businessClient
          description: >-
            `business` for a partner account; `businessClient` for one of its
            clients.
        id:
          type: string
          format: uuid
          example: 4500678e-a900-4138-828c-b8f9c7ff5ebe
      required:
        - type
        - id
    VirtualAccountCoordinatesDoc:
      type: object
      properties:
        holder:
          $ref: '#/components/schemas/VirtualAccountHolderDoc'
        bank:
          $ref: '#/components/schemas/VirtualAccountBankDoc'
        iban:
          type: string
          example: AE950266395745362337381
        accountNumber:
          type: string
          example: '41000100267'
        swiftCode:
          type: string
          example: ZEITPRSJ
        taxId:
          type: string
          example: '1020304050'
        routingNumbers:
          $ref: '#/components/schemas/VirtualAccountRoutingNumbersDoc'
      required:
        - holder
    VirtualAccountHolderDoc:
      type: object
      properties:
        name:
          type: string
          example: Acme Bolivia SRL
          description: Name shown as the account holder.
        type:
          type: string
          example: individual
          nullable: true
        address:
          type: string
          example: Av. San Martin 123, Santa Cruz de la Sierra, BO
          nullable: true
      required:
        - name
        - type
        - address
    VirtualAccountBankDoc:
      type: object
      properties:
        name:
          type: string
          example: JP Morgan Chase NA
          nullable: true
        address:
          type: string
          example: New York NY, US
          nullable: true
      required:
        - name
        - address
    VirtualAccountRoutingNumbersDoc:
      type: object
      properties:
        ach:
          type: string
          example: '028000024'
        wire:
          type: string
          example: '021000021'
        rtp:
          type: string
          example: '021000021'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login or /v3/auth/login

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.